Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
Bigint Struct Reference

## Data Fields
struct Bigint * | next
int | k
int | maxwds
int | sign
int | wds
ULong | x [1]

## Detailed Description

Definition at line 988 of file util.c.

## Field Documentation

int Bigint::k

Definition at line 990 of file util.c.

Referenced by b2d(), Balloc(), Bfree(), d2b(), diff(), hi0bits(), lo0bits(), lshift(), mult(), multadd(), ratio(), ruby_dtoa(), ruby_strtod(), and s2b().

int Bigint::maxwds

Definition at line 990 of file util.c.

Referenced by Balloc(), lshift(), mult(), and multadd().

struct Bigint* Bigint::next

Definition at line 989 of file util.c.

Referenced by Balloc(), Bfree(), and pow5mult().

int Bigint::sign

Definition at line 990 of file util.c.

Referenced by Balloc(), diff(), ruby_dtoa(), and ruby_strtod().

int Bigint::wds

Definition at line 990 of file util.c.

Referenced by b2d(), Balloc(), cmp(), d2b(), diff(), i2b(), lshift(), mult(), multadd(), quorem(), ratio(), ruby_dtoa(), ruby_strtod(), and s2b().

ULong Bigint::x[1]

Definition at line 991 of file util.c.

Referenced by b2d(), Balloc(), cmp(), d2b(), diff(), i2b(), lo0bits(), lshift(), mult(), multadd(), quorem(), ruby_dtoa(), ruby_strtod(), s2b(), and ulp().

The documentation for this struct was generated from the following file:

- util.c